org.springframework.batch.item

## Class ItemStreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.batch.item.ItemStreamException

- All Implemented Interfaces:
    java.io.Serializable

      public class ItemStreamException
      extends java.lang.RuntimeException

  Exception representing any errors encountered while processing a stream.
  Author:
    Dave Syer, Lucas Ward
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemStreamException(java.lang.String message)`
    `ItemStreamException(java.lang.String msg, java.lang.Throwable nested)` Constructs a new instance with a message and nested exception.
    `ItemStreamException(java.lang.Throwable nested)` Constructs a new instance with a nested exception and empty message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemStreamException

          public ItemStreamException(java.lang.String message)

      Parameters:
        `message` - the String that contains a detailed message.

    - #### ItemStreamException

          public ItemStreamException(java.lang.String msg,
                                     java.lang.Throwable nested)

      Constructs a new instance with a message and nested exception.
      Parameters:
        `msg` - the exception message.
        `nested` - the cause of the exception.

    - #### ItemStreamException

          public ItemStreamException(java.lang.Throwable nested)

      Constructs a new instance with a nested exception and empty message.
      Parameters:
        `nested` - the cause of the exception.